#!/bin/sh
echo 'name: monad-par
version: 0.3.4.2
id: monad-par-0.3.4.2-83289f643ecacd296d8c29376e5d2014

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: The '\''Par'\'' monad offers a simple API for parallel programming.  The
             library works for parallelising both pure and @IO@ computations,
             although only the pure version is deterministic.  The default
             implementation provides a work-stealing scheduler and supports
             forking tasks that are much lighter weight than IO-threads.
             .
             For complete documentation see "Control.Monad.Par".
             .
             Some examples of use can be found in the @examples/@ directory of
             the source package.
             .
             Other related packages:
             .
             * @abstract-par@ provides the type classes that abstract over different
             implementations of the @Par@ monad.
             .
             * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
             the @Par@ monad.
             .
             Changes in 0.3.4 relative to 0.3:
             .
             * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
             .
             * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.IO
                 Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/monad-par-0.3.4.2
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/monad-par-0.3.4.2
              /usr/local/lib
hs-libraries: HSmonad-par-0.3.4.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: abstract-deque-0.2-d9a0b8e8995efd9a61585ce2d747f4b1
         abstract-par-0.3.1-20766d58d5dcb15059ab3a19017d729f
         array-0.4.0.1-6380782b62ead58fec616aa07dc0e15c
         base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         containers-0.5.0.0-3b8b869ec10d44736414ab5bea776319
         deepseq-1.3.0.1-aa1be128186a233c7290faf88620ffe5
         monad-par-extras-0.3.2-45195a50d6877717c99216a285a103c6
         mtl-2.1.2-735d9c92b4f214d454fb5168bb1eb6ee
         mwc-random-0.12.0.1-005a6da460373c3cc9f54fd5037da418
         parallel-3.2.0.3-e820b19f5a9c77af99f9f74ca067f604
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/monad-par-0.3.4.2/html/monad-par.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/monad-par-0.3.4.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
